export default LaserScan;
declare class LaserScan extends Core {
    constructor(ros: any, topicName: any, options?: {
        axis: string;
        autocomputeValueBounds: boolean;
        useFixedFrame: boolean;
        minAxisValue: number;
        maxAxisValue: number;
        channelName: string;
        useRainbow: boolean;
        invertRainbow: boolean;
        minColor: string;
        maxColor: string;
        autocomputeIntensityBounds: boolean;
        maxIntensity: number;
        minIntensity: number;
        selectable: boolean;
        style: string;
        size: number;
        alpha: number;
        decayTime: number;
        queueSize: number;
        compression: string;
        colorTransformer: string;
        flatColor: string;
    });
    points: Points;
    sphereList: SphereList;
    cubeList: CubeList;
    object: Group;
    prevMessage: any;
    getNormalizedIntensity(data: any): number;
    applyIntensityTransform(intensity: any, position: any): Color;
    getNormalizedAxisValue(data: any): number;
    applyAxisColorTransform(intensity: any, position: any): Color;
    colorTransformer(intensity: any, position: any): Color | null;
    setupPoints({ j, position, color }: {
        j: any;
        position: any;
        color: any;
    }): void;
    hideAllObjects(): void;
    setStyleDimensions(message: any): void;
}
import Core from "../core";
import Points from "../utils/points";
import SphereList from "../primitives/SphereList";
import CubeList from "../primitives/CubeList";
import Group from "../primitives/Group";
import { Color } from "three/src/math/Color";
